------------------------------------------------------------------------
-- IV17932
------------------------------------------------------------------------

create procedure ADM.DROP_INDEX_IF_EXISTS(in INDEX_NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP INDEX ' concat INDEX_NAME;
	prepare S1 from STMT;
	execute S1;
	end%

call ADM.DROP_INDEX_IF_EXISTS('ADM.VM_IDX01')%
	
CREATE INDEX ADM.VM_IDX01 ON ADM.VM
(
   "VM_PARENT_ID" ASC,
   "DEPTH" ASC,
   "ID" ASC
)
ALLOW REVERSE SCANS%

call ADM.DROP_INDEX_IF_EXISTS('ADM.VM_IDX02')%

CREATE INDEX ADM.VM_IDX02 ON ADM.VM
(
   "DEPTH" ASC,
   "VM_PARENT_ID" ASC,
   "ID" ASC
) ALLOW REVERSE SCANS%

drop procedure ADM.DROP_INDEX_IF_EXISTS%